# pb_ds::counter_lu_policy< Max_Count, Allocator > Class Template Reference

List of all members.

## Detailed Description

### template<size_t Max_Count = 5, typename Allocator = std::allocator<char>>
class pb_ds::counter_lu_policy< Max_Count, Allocator >

Definition at line 101 of file list_update_policy.hpp.

## Public Types

- enum { max_count }
- typedef Allocator allocator
- typedef Allocator::template
  rebind< metadata_type >::other metadata_rebind
- typedef metadata_rebind::reference metadata_reference
- typedef detail::counter_lu_metadata<
  size_type > metadata_type
- typedef allocator::size_type size_type

## Public Member Functions

- bool operator() (metadata_reference r_metadata) const
- metadata_type operator() () const

The documentation for this class was generated from the following file:

- list_update_policy.hpp